<div class="forgot-bg animated fadeIn">
  <div class="text-center">
    <h4>{{'LABEL_SET_PASSWORD' | translate: lang}}</h4>
  </div>
  <div class="container">
    <div class="row mt-3 mb-3">
      <div class="col mobile-fotgot">
        <form [formGroup]="setPasswordForm" (ngSubmit)="onSubmit()">
          <mat-form-field appearance="outline">
            <mat-label>{{'labelEmail' | translate: lang}}</mat-label>
            <input matInput type="text" formControlName="userEmail" autocomplete="off" [placeholder]="'labelEmail' | translate: lang" name="Email address" required />
            <mat-hint *ngIf="(setPasswordForm.controls['userEmail'].invalid && (setPasswordForm.controls['userEmail'].dirty || setPasswordForm.controls['userEmail'].touched))">
              <mat-error *ngIf="setPasswordForm.controls['userEmail'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="setPasswordForm.controls['userEmail'].errors.pattern && !setPasswordForm.controls['userEmail'].errors.required">
                {{'errorValidEmail' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>{{'labelPassword' | translate:lang}}</mat-label>
            <input matInput [placeholder]="'labelPassword' | translate:lang" (keyup)="showPasswordRules()" type="password" formControlName="newPassword" (focusout)="hidePasswordRule()" required (input)="removeCurrentPassword()" />
            <span class="password-hint" *ngIf="passwordRule === true && setPasswordForm.controls['newPassword'].invalid">
              <app-password-rule></app-password-rule>
            </span>
            <mat-hint *ngIf="(setPasswordForm.controls['newPassword'].invalid && (setPasswordForm.controls['newPassword'].dirty || setPasswordForm.controls['newPassword'].touched))">
              <mat-error *ngIf="setPasswordForm.controls['newPassword'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="setPasswordForm.controls['newPassword'].errors.pattern">
                {{'errorPasswordCriteria' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>{{'labelConfirmPassword' | translate:lang}}</mat-label>
            <input matInput validateEqual="newPassword" [placeholder]="'labelConfirmPassword' | translate:lang" type="password" formControlName="confirmPassword" required />
            <mat-hint *ngIf="(setPasswordForm.controls['confirmPassword'].invalid && (setPasswordForm.controls['confirmPassword'].dirty || setPasswordForm.controls['confirmPassword'].touched))">
              <mat-error *ngIf="setPasswordForm.controls['confirmPassword'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="setPasswordForm.controls['confirmPassword'].value.length > 0"
                [hidden]="setPasswordForm.controls['confirmPassword'].valid || (setPasswordForm.controls['confirmPassword'].pristine && !setPasswordForm.controls['confirmPassword'].touched)">
                {{'errorPasswordMatch' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <div class="col-md-12 padding0px">
            <ngx-recaptcha2 #captchaElem *ngIf="isInBrowser" [siteKey]="siteKey" [size]="captchaSize" [hl]="captchaLanguage" [theme]="captchaTheme" [type]="captchaType" formControlName="isCaptchaVerified">
            </ngx-recaptcha2>
            <mat-hint *ngIf="(setPasswordForm.controls['isCaptchaVerified'].invalid && (setPasswordForm.controls['isCaptchaVerified'].dirty || setPasswordForm.controls['isCaptchaVerified'].touched))">
              <mat-error *ngIf="setPasswordForm.controls['isCaptchaVerified'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </div>
          <button mat-raised-button [disabled]="!setPasswordForm.valid" color="primary" class="mb-2">{{'buttonSubmit' | translate: lang}}</button>
        </form>
      </div>
    </div>
  </div>
</div>